CVC4::PopCommand Class Reference

`#include <command.h>`

Inheritance diagram for CVC4::PopCommand:
[legend]
Collaboration diagram for CVC4::PopCommand:
[legend]

## Public Types

typedef CommandPrintSuccess | printsuccess

## Public Member Functions

| ~PopCommand () throw ()
void | invoke (SmtEngine *smtEngine) throw ()
Command * | exportTo (ExprManager *exprManager, ExprManagerMapCollection &variableMap)
| Maps this Command into one for a different ExprManager, using variableMap for the translation and extending it with any new mappings.
Command * | clone () const
| Clone this Command (make a shallow copy).
std::string | getCommandName () const throw ()
virtual void | invoke (SmtEngine *smtEngine, std::ostream &out) throw ()
virtual void | toStream (std::ostream &out, int toDepth=-1, bool types=false, size_t dag=1, OutputLanguage language=language::output::LANG_AUTO) const throw ()
std::string | toString () const throw ()
void | setMuted (bool muted) throw ()
| If false, instruct this Command not to print a success message.
bool | isMuted () throw ()
| Determine whether this Command will print a success message.
bool | ok () const throw ()
| Either the command hasn't run yet, or it completed successfully (CommandSuccess, not CommandUnsupported or CommandFailure).
bool | fail () const throw ()
| The command completed in a failure state (CommandFailure, not CommandSuccess or CommandUnsupported).
const CommandStatus * | getCommandStatus () const throw ()
| Get the command status (it's NULL if we haven't run yet).
virtual void | printResult (std::ostream &out, uint32_t verbosity=2) const throw ()

## Protected Attributes

const CommandStatus * | d_commandStatus
| This field contains a command status if the command has been invoked, or NULL if it has not.
bool | d_muted
| True if this command is "muted"—i.e., don't print "success" on successful execution.

## Detailed Description

Definition at line 331 of file command.h.

## Member Typedef Documentation

## printsuccess

typedef CommandPrintSuccess CVC4::Command::printsuccess

inherited

Definition at line 203 of file command.h.

## Constructor & Destructor Documentation

## ~PopCommand()

CVC4::PopCommand::~PopCommand | ( |  | ) |
throw | ( | ) |  |  |

inline

Definition at line 333 of file command.h.

## Member Function Documentation

## clone()

Command * CVC4::PopCommand::clone | ( |  | ) | const

virtual

Clone this Command (make a shallow copy).

Implements CVC4::Command.

## exportTo()

Command * CVC4::PopCommand::exportTo | ( | ExprManager * | exprManager,
|  | ExprManagerMapCollection & | variableMap )

virtual

Maps this Command into one for a different ExprManager, using variableMap for the translation and extending it with any new mappings.

Implements CVC4::Command.

## fail()

bool CVC4::Command::fail | ( |  | ) | const
throw | ( | ) |  |  |

inherited

The command completed in a failure state (CommandFailure, not CommandSuccess or CommandUnsupported).

## getCommandName()

std::string CVC4::PopCommand::getCommandName | ( |  | ) | const
throw | ( | ) |  |  |

virtual

Implements CVC4::Command.

## getCommandStatus()

const CommandStatus * CVC4::Command::getCommandStatus | ( |  | ) | const
throw | ( | ) |  |  |

inlineinherited

Get the command status (it's NULL if we haven't run yet).

Definition at line 243 of file command.h.

## invoke() [1/2]

virtual void CVC4::Command::invoke | ( | SmtEngine * | smtEngine,
|  | std::ostream & | out )
throw | ( | ) |  |  |

virtualinherited

Reimplemented in CVC4::CommandSequence, and CVC4::EchoCommand.

## invoke() [2/2]

void CVC4::PopCommand::invoke | ( | SmtEngine * | smtEngine | ) |
throw | ( | ) |  |  |

virtual

Implements CVC4::Command.

## isMuted()

bool CVC4::Command::isMuted | ( |  | ) |
throw | ( | ) |  |  |

inlineinherited

Determine whether this Command will print a success message.

Definition at line 228 of file command.h.

## ok()

bool CVC4::Command::ok | ( |  | ) | const
throw | ( | ) |  |  |

inherited

Either the command hasn't run yet, or it completed successfully (CommandSuccess, not CommandUnsupported or CommandFailure).

## printResult()

virtual void CVC4::Command::printResult | ( | std::ostream & | out,
|  | uint32_t | verbosity = 2 ) const
throw | ( | ) |  |  |

virtualinherited

Reimplemented in CVC4::CheckSatCommand, CVC4::ExpandDefinitionsCommand, CVC4::GetAssertionsCommand, CVC4::GetAssignmentCommand, CVC4::GetInfoCommand, CVC4::GetInstantiationsCommand, CVC4::GetModelCommand, CVC4::GetOptionCommand, CVC4::GetProofCommand, CVC4::GetUnsatCoreCommand, CVC4::GetValueCommand, CVC4::QueryCommand, and CVC4::SimplifyCommand.

## setMuted()

void CVC4::Command::setMuted | ( | bool | muted | ) |
throw | ( | ) |  |  |

inlineinherited

If false, instruct this Command not to print a success message.

Definition at line 223 of file command.h.

## toStream()

virtual void CVC4::Command::toStream | ( | std::ostream & | out,
|  | int | toDepth = -1,
|  | bool | types = false,
|  | size_t | dag = 1,
|  | OutputLanguage | language = language::output::LANG_AUTO ) const
throw | ( | ) |  |  |

virtualinherited

## toString()

std::string CVC4::Command::toString | ( |  | ) | const
throw | ( | ) |  |  |

inherited

## Field Documentation

## d_commandStatus

const CommandStatus* CVC4::Command::d_commandStatus

protectedinherited

This field contains a command status if the command has been invoked, or NULL if it has not.

This field is either a dynamically-allocated pointer, or it's a pointer to the singleton CommandSuccess instance. Doing so is somewhat asymmetric, but it avoids the need to dynamically allocate memory in the common case of a successful command.

Definition at line 194 of file command.h.

## d_muted

bool CVC4::Command::d_muted

protectedinherited

True if this command is "muted"—i.e., don't print "success" on successful execution.

Definition at line 200 of file command.h.

The documentation for this class was generated from the following file:

- src/expr/command.h